package com.zm.order.tool.server.service;

import com.zm.order.tool.server.model.DataCorrectionRequest;
import com.zm.order.tool.server.model.Order;
import com.zm.order.tool.server.request.DesignRequest;
import com.zm.order.tool.server.request.OrderDataReviseRequest;
import com.zm.util.dto.Result;

import java.util.List;

/**
 * @author nianchang
 * @ClassName DataService
 * @date 2021/06/15 11:36 上午
 */
public interface DataService {

    Result design();

    Result designList(OrderDataReviseRequest request);

    void updateDesign(List<DesignRequest> list);

    Result updateRefundFlag();

    Result updateUserId();

    Result updateUser(OrderDataReviseRequest request);

    Result comment();

    Result deleteComment();

    Result updateSellerUserId(DataCorrectionRequest request);

    Result updateSellerUserIdTemp(DataCorrectionRequest request);

    Result repeatID();

    Result integralOrder();

    Result repeatIDSave();

    Result queryOrder1();

    Result resetId();
    Result repeatUpdateDeliveryId();

    Result queryRepeatId();

    Result routingCheck();

    Result setRouting(int maxLoop);

    Result test(Order order);

    Result insertIndex(Order order);

    void orderMerge();

    void updateDiscountTime();

    void juiceOrder();
}
